/*  This program is a game with a partly randomized scenery
    Copyright (C) 2002   Stefan Ziegler
    This file is part of RandomXmas v1.14.

    RandomXmas v1.14 is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    RandomXmas v1.14 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy (gpl.txt) of the GNU General Public
    License along with RandomXmas v1.14; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

While executing the program, you get the license text by pressing the key 'l'.
E-mail address: stefan.ziegler@s1998.tu-chemnitz.de
For additional and/or more actual information see file COPYING in the root
directory of this package.
*/

#ifndef EBENENFELD_H
#define EBENENFELD_H 1

#include <GL/glut.h>

#include "konstanten.h"
#include "geschenke.h"
#include "texturen.h"

typedef enum{typlos, baum, huegel} feldtyp;

class Feld
  {	public:
		Feld(feldtyp neutyp, int neuhoehe, Feldpunkte *neudarunter, 
			Feldpunkte *neudarueber, const Texture* neuthistex);
		~Feld();
		void	 	Invisible(short onoff);
		void     	Change(feldtyp neutyp, int neuhoehe,
				 	Feldpunkte* neudarunter);
		Feldpunkte* 	Leeren();
		Feldpunkte* 	GetDarueber();
                feldtyp  	GetTyp();
		void 	 	DrawFeld(int x, int y, GLuint displaylist);
	private:
		GLUquadric 	*qfeld;
		feldtyp 	typ;
		Feldpunkte	*darunter, *darueber;	
		int 		hoehe;
		const Texture 	*texfeld;
  };

class Ebene
  {	public:
		Ebene(int neunummer, const Texture* *neutexarray);
		~Ebene();
                int  IstDortBaum(int x, int y, Feldpunkte* &inhalt);
		int  GetDarueber(int x, int y, Feldpunkte* &inhalt);
		void TrigFahrstuhl();
		void DrawEbene();
		void DrawLevelNum();
	private:
		Feld		*felder[MAXFELD][MAXFELD];
		int		fahrstuhl;
		GLuint		startList;
		GrafikAusgabe	*nummer, *zeile;
		const Texture*	*texarray;

		void InitFelder(int neunummer);
		void DrawGround(GLuint displayList);
  };

#endif

