/*  This program is a game with a partly randomized scenery
    Copyright (C) 2002   Stefan Ziegler
    This file is part of RandomXmas v1.14.

    RandomXmas v1.14 is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    RandomXmas v1.14 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy (gpl.txt) of the GNU General Public
    License along with RandomXmas v1.14; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

While executing the program, you get the license text by pressing the key 'l'.
E-mail address: stefan.ziegler@s1998.tu-chemnitz.de
For additional and/or more actual information see file COPYING in the root
directory of this package.
*/

#ifndef HIGHSBOARD_H
#define HIGHSBOARD_H 1

#include <string>

#include "listen.h"
#include "grafikausg.h"

class Fileviewer
  {
	public:
		Fileviewer();
		Fileviewer(char* headfootstrings[], const char *new_viewfile);
		~Fileviewer();
		void DrawFile();
		void Scroll(int numofpages);
	protected:
		const static short linesize = 100;
		int		   imax;  // imax = number of lines in file
   		Doublelist	   *filepagelist, *pagenow;
	private:
		void CloseSublist(Objpointerlist<string>* &pagebegin, 
				  Objpointerlist<string>* &pageend, 
				  Doublelist* &lastpage);
		void Readfile();
		void LoadPage();

		const static short pagesize = 10;
   		const char	   *viewfile; 
		char		   headstring[linesize];
		char		   footstr1[linesize], footstr2[linesize];
		GrafikAusgabe	   *screen[pagesize+3];
  };

class Highscoreboard : public Fileviewer
  {
	public:
		Highscoreboard(char* headfootstrings[], 
			       const char *highscorefile);
		~Highscoreboard();
	private:
		void GetListLine(Objpointerlist<string>* &scorenow, 
				 string* &zeile);
		void Writefile();

		int		   points;
   		char		   pointsstring[linesize]; 
		const char 	   *highsfile;
  };

#endif

