/*  This program is a game with a partly randomized scenery
    Copyright (C) 2002   Stefan Ziegler
    This file is part of RandomXmas v1.14.

    RandomXmas v1.14 is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    RandomXmas v1.14 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy (gpl.txt) of the GNU General Public
    License along with RandomXmas v1.14; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

While executing the program, you get the license text by pressing the key 'l'.
E-mail address: stefan.ziegler@s1998.tu-chemnitz.de
For additional and/or more actual information see file COPYING in the root
directory of this package.
*/

#ifndef KONSTANTEN_H
#define KONSTANTEN_H 1

//#define SUMMER 1
#define WINTER 1

//***Spielfeld/Spielgroessen*************************************************
const short MAXFELD=4;		//Maximale Felderanzahl in Spalte, Zeile
				// 2..10, Mit Zwischenrumen: *2+1
const short MAXEBENEN=50;	//Maximal 48 Ebenenstrukturen in Feld
				//0: Game Over-Ebene, 1..48 Normal, 
				//49: Gewinn-Ebene, sollte 3..100
const short CHVERLIEREN=100;	//Chance verlieren 1:x,  2..65535
const short ZUMGEWINN=2525;	//div100: gfertig, mod100: kfertig, 101..9999
const short MANN_NUMBER=5;	//Anzahl Spielfiguren, 1-10 oder mehr

//***Spiel-Darstellung*******************************************************
const float FELDEINHEIT=0.5;    //0.5*10=5 GL-Einheiten Hgel-/Baumgre
				//0.1..1
const short MAXFELDHOEHE=10;	//fr vertikale Groessen, wie FELDEINHEIT
				//2..10
const bool  EINFACH=1;		//0/1, bei 1: zeigt besuchte Felder an;
const short DETAILS=10;		//fuer Darstellung der Baeume und Huegel
				//sollte gerade sein, je mehr, desto langsamer
const bool  MANNDETAILS=0;	//Nutzung von DETAILS auch zur Darstellung
				//des Weihnachtsmannes -> 1 sonst 0
#ifdef WINTER
const bool  MANN_CAP=1;		//0/1, 1: Muetze zeichnen, 0: nicht zeichnen 
#else 
const bool  MANN_CAP=0;
#endif

const int   ANFWIDTH=400, ANFHEIGHT=400; //Fenstergre
const bool  USE_GLUT_FONT=1;	//0/1, bei 1: Nutzung des in GLUT eingebauten 
				//Stroke-Fonts fuer Textzeilen
const short MOUSE_SENSE=10;	//1..20, je kleiner desto sensibler wird auf 
				//Mausbewegung reagiert
const double GLOBAL_VIEW[] = {0, MAXFELD * 7 / 2.0, MAXFELD * 5, 
			      0, MAXFELD, 0, 0, 1, 0};
				// fuer gluLookAt wenn kein Blick Spielfigur

//***Texturen************0***************************************************
const bool  USE_TEXTURES=1;	//0/1, bei 1: Texturen werden geladen
const char  NUMOFTEX=7;		// Anzahl maximal nutzbarer Texturen

//---Winter------------------------------------------------------------------
#ifdef WINTER
const char FILETEXEBENE[]=
	"textures/texebene.bmp";	// Dateiname fuer Textur auf Ebene
const char FILETEXHUEGEL[]=
	"textures/texhuegel.bmp";	// Dateiname fuer Textur auf Huegel
const char FILETEXBAUM[]=
	"textures/texbaum.bmp";		// Dateiname fuer Textur auf Baum
const char FILETEXCAP[]=
	"textures/texcap.bmp";		// Dateiname fuer Textur auf Muetze
const char FILETEXHEAD[]=
	"textures/texhead.bmp";	// Dateiname fuer Textur auf Kopf des W.Mannes
const char FILETEXBODY[]=
	"textures/texbody.bmp";		// Dateiname fuer Textur auf Mantel
const char FILETEXSHOES[]=
	"textures/texshoes.bmp";	// Dateiname fuer Textur auf Schuhen
#endif			// Winter

//---Sommer------------------------------------------------------------------
#ifdef SUMMER
const char FILETEXEBENE[]=
	"textures/sum_texebene.bmp";	// Dateiname fuer Textur auf Ebene
const char FILETEXHUEGEL[]=
	"textures/sum_texhuegel.bmp";	// Dateiname fuer Textur auf Huegel
const char FILETEXBAUM[]=
	"textures/sum_texbaum.bmp";	// Dateiname fuer Textur auf Baum
const char FILETEXCAP[]=
	"textures/sum_texcap.bmp";	// Dateiname fuer Textur auf Muetze
const char FILETEXHEAD[]=
	"textures/sum_texhead.bmp";
				// Dateiname fuer Textur auf Kopf des W.Mannes
const char FILETEXBODY[]=
	"textures/sum_texbody.bmp";	// Dateiname fuer Textur auf Mantel
const char FILETEXSHOES[]=
	"textures/sum_texshoes.bmp";	// Dateiname fuer Textur auf Schuhen
#endif			// Summer

//***Farben, Licht, Materialdef.*********************************************
// immer als Farb- und Material-Anteile: {Rot, Gruen, Blau}

//Licht
const float LIGHT_AMB[]	    = {0.6, 0.6, 0.6};	// Ambientes Licht fuer alles
const float MATERIAL_NULL[] = {0.4, 0.4, 0.4};	// Grundwert Material
						// Punktlicht vorn und hinten
const float PLIGHT_AMB[]    = {0.02, 0.02, 0.02};	// Ambienter Anteil
const float PLIGHT_DIF[]    = {0.80, 0.80, 0.80};	// Diffuser Anteil
const float PLIGHT_SPEC[]   = {0.1, 0.1, 0.1};		// Spekularer Anteil

//---Winter------------------------------------------------------------------

#ifdef WINTER

//Felder
const float C_CHARS_ABOVE[] = {0.5, 0.5, 1.0};  
			// Farbe der Buchstaben ueber den Feldern
const float C_BAUM_1[]	    = {0.0, 0.6, 0.0};  	// Farbe Baum leer
const float C_BAUM_2[]	    = {0.0, 0.4, 0.0};		// Farbe Baum voll
const float C_HUEGEL_1[]    = {0.85, 0.85, 1.0};	// Farbe Huegel leer
const float C_HUEGEL_2[]    = {0.85, 0.85, 0.85};	// Farbe Huegel voll
const float BAUM_AMB[] 	    = {0.3, 0.3, 0.3};		// Mat. Baum ambient
							// Mat. Baum diffus
const float BAUM_DIF1[]     = {0.0, 0.5, 0.0}; 		// leer
const float BAUM_DIF2[]     = {0.0, 0.3, 0.0};		// voll
							// Mat. Huegel ambient
const float HUEGEL_AMB1[]   = {0.85, 0.85, 1.0};	// leer
const float HUEGEL_AMB2[]   = {0.75, 0.75, 0.75};	// voll
const float HUEGEL_SPEC[]   = {0.8, 0.8, 0.8};		// Mat. Huegel specular

//Ebene
const float C_NUMMER[]	    = {1.0, 0.0, 1.0};		// Farbe Ebenen-Nummer
const float C_ZEILE[]	    = {1.0, 0.0, 1.0};		// Farbe Text "Ebene"
const float C_GROUND[]	    = {1.0, 1.0, 1.0};		// Farbe Boden
const float EBENE_AMB[]     = {0.85, 0.85, 0.85};	// Mat. Boden ambient

//Geschenke 
const float C_SMALL_P[]	    = {1.0, 1.0, 0.0};		// Farbe Punkte klein
const float C_SMALL_F[]	    = {0.75, 0.75, 0.0};	// Farbe Fertig klein
const float C_BIG_P[]	    = {0.0, 1.0, 1.0};		// Farbe Punkte gross
const float C_BIG_F[]	    = {0.0, 0.75, 0.75};	// Farbe Fertig gross

//Highscoreboard
const float C_BOARD[]	    = {1.0, 1.0, 1.0};		// Farbe Textzeilen

//Mann
const float C_SHOES[]	    = {0.0, 0.0, 0.0};		// Farbe Schuhe
const float C_BODY[]	    = {1.0, 0.0, 0.0};		// Farbe Mantel
const float C_FACE[]	    = {1.0, 0.7, 0.7};		// Farbe Gesicht
const float C_CAP[]	    = {1.0, 0.0, 0.0};		// Farbe Muetze
							// Material ambient
const float SHOES_AMB[]     = {0.0, 0.0, 0.0};		// Mat. Schuhe 	
const float BODY_AMB[]      = {1.0, 0.0, 0.0};		// Mat. Mantel
const float FACE_AMB[] 	    = {1.0, 0.7, 0.7};		// Mat. Gesicht
const float CAP_AMB[]       = {1.0, 0.0, 0.0}; 		// Mat. Muetze

#endif 			// Winter

//----Sommer-----------------------------------------------------------------

#ifdef SUMMER

//Felder
const float C_CHARS_ABOVE[] = {0.5, 0.5, 1.0};  
			// Farbe der Buchstaben ueber den Feldern
const float C_BAUM_1[]	    = {0.0, 0.6, 0.0};  	// Farbe Baum leer
const float C_BAUM_2[]	    = {0.0, 0.4, 0.0};		// Farbe Baum voll
const float C_HUEGEL_1[]    = {0.60, 0.35, 0.0};	// Farbe Huegel leer
const float C_HUEGEL_2[]    = {0.40, 0.25, 0.0};	// Farbe Huegel voll
const float BAUM_AMB[] 	    = {0.3, 0.3, 0.3};		// Mat. Baum ambient
							// Mat. Baum diffus
const float BAUM_DIF1[]     = {0.0, 0.5, 0.0}; 		// leer
const float BAUM_DIF2[]     = {0.0, 0.3, 0.0};		// voll
							// Mat. Huegel ambient
const float HUEGEL_AMB1[]   = {0.60, 0.35, 0.0};	// leer
const float HUEGEL_AMB2[]   = {0.40, 0.25, 0.0};	// voll
const float HUEGEL_SPEC[]   = {0.6, 0.2, 0.2};		// Mat. Huegel specular

//Ebene
const float C_NUMMER[]	    = {1.0, 0.0, 1.0};		// Farbe Ebenen-Nummer
const float C_ZEILE[]	    = {1.0, 0.0, 1.0};		// Farbe Text "Ebene"
const float C_GROUND[]	    = {1.0, 1.0, 0.0};		// Farbe Boden
const float EBENE_AMB[]     = {0.85, 0.85, 0.0};	// Mat. Boden ambient

//Geschenke 
const float C_SMALL_P[]	    = {1.0, 1.0, 0.0};		// Farbe Punkte klein
const float C_SMALL_F[]	    = {0.75, 0.75, 0.0};	// Farbe Fertig klein
const float C_BIG_P[]	    = {0.0, 1.0, 1.0};		// Farbe Punkte gross
const float C_BIG_F[]	    = {0.0, 0.75, 0.75};	// Farbe Fertig gross

//Highscoreboard
const float C_BOARD[]	    = {1.0, 1.0, 1.0};		// Farbe Textzeilen

//Mann
const float C_SHOES[]	    = {0.0, 0.0, 0.0};		// Farbe Schuhe
const float C_BODY[]	    = {0.0, 0.0, 1.0};		// Farbe Mantel
const float C_FACE[]	    = {1.0, 0.7, 0.7};		// Farbe Gesicht
const float C_CAP[]	    = {0.0, 0.0, 1.0};		// Farbe Muetze
							// Material ambient
const float SHOES_AMB[]     = {0.0, 0.0, 0.0};		// Mat. Schuhe 	
const float BODY_AMB[]      = {0.0, 0.0, 0.8};		// Mat. Mantel
const float FACE_AMB[] 	    = {1.0, 0.7, 0.7};		// Mat. Gesicht
const float CAP_AMB[]       = {0.0, 0.0, 0.8}; 		// Mat. Muetze

#endif 			// Summer

#endif			// Konstanten_h

