/*  This program is a game with a partly randomized scenery
    Copyright (C) 2002   Stefan Ziegler
    This file is part of RandomXmas v1.14.

    RandomXmas v1.14 is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    RandomXmas v1.14 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy (gpl.txt) of the GNU General Public
    License along with RandomXmas v1.14; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

While executing the program, you get the license text by pressing the key 'l'.
E-mail address: stefan.ziegler@s1998.tu-chemnitz.de
For additional and/or more actual information see file COPYING in the root
directory of this package.
*/

//Defines String-Constants for the Game Outputs

#define DEUTSCH 1
//#define ENGLISH 1

//--- Deutsch ----------------------------------------------------------------
#ifdef DEUTSCH

const char S_MENU_ENTRY_ID_10[]  = "Spielen";
const char S_MENU_ENTRY_ID_20[]  = "Drehen";
const char S_MENU_ENTRY_ID_210[] = "Y/X";
const char S_MENU_ENTRY_ID_220[] = "Z/X";
const char S_MENU_ENTRY_ID_230[] = "Z/Y";
const char S_MENU_ENTRY_ID_240[] = "Init";
const char S_MENU_ENTRY_ID_30[]  = "Verschieben"; 
const char S_MENU_ENTRY_ID_310[] = "X/Y";
const char S_MENU_ENTRY_ID_320[] = "X/Z";
const char S_MENU_ENTRY_ID_330[] = "Z/Y";
const char S_MENU_ENTRY_ID_340[] = "Init";
const char S_MENU_ENTRY_ID_40[]  = "Punktanzeige";
const char S_MENU_ENTRY_ID_50[]  = "Mann";
const char S_MENU_ENTRY_ID_510[] = "Blick";
const char S_MENU_ENTRY_ID_520[] = "Neu";
const char S_MENU_ENTRY_ID_530[] = "Naechster";
const char S_MENU_ENTRY_ID_60[]  = "Programm";
const char S_MENU_ENTRY_ID_610[] = "Hilfe (Readme)";
				// siehe auch S_NAME_HELPFILE
const char S_MENU_ENTRY_ID_620[] = "Lizenz (GPL)";
const char S_MENU_ENTRY_ID_70[]  = "Beenden";
const char S_MENU_ENTRY_ID_80[]  = "Rollen";

const char S_NAME_HELPFILE[] = "readme.txt";

const char S_SHOWFILE_HEAD[] = "Dateianzeige:  Zeile ";
const char S_SHOWFILE_FOOT[] = "Dateiname:";

const char S_HIGHSCORE_HEAD[] = "Highscore: Plaetze ";
const char S_HIGHSCORE_FOOT[] = "Deine Punkte";

const char S_WINDOW_NAME[] = "spiel";

const char S_EBENE_LABEL[] = "Ebene";

const char S_FILEVIEWER_ERROR_1[] = "Fehler beim Oeffnen zum Lesen von: ";
const char S_FILEVIEWER_ERROR_2[] = "Fehler beim Schliessen von: ";

const char S_HIGHSBOARD_ERROR[] = "Fehler beim Schliessen der Highscore-Datei.";

const char S_TEXTURE_ERROR_1[] = "Datei zu klein fuer das BMP-Format!\n";
const char S_TEXTURE_ERROR_2[] = 
			"Falsche Start-Buchstaben fuer das BMP-Format!\n";
const char S_TEXTURE_ERROR_3[] = "Falscher Wert fuer die X-Groesse!\n";
const char S_TEXTURE_ERROR_4[] = "Falscher Wert fuer die Y-Groesse!\n";
const char S_TEXTURE_ERROR_5[] = "Lese-Fehler! Falsche Farbtabellen-Groesse!\n";
const char S_TEXTURE_ERROR_6[] = "Fehler beim Einlesen von ";

const char S_LICENSE_TEXT_1[] = "RandomXmas version 1.14, Copyright (C) 2002  Stefan Ziegler";
const char S_LICENSE_TEXT_2[] = "RandomXmas version 1.14 is distributed under the terms of the GNU GPL.";
const char S_LICENSE_TEXT_3[] = "RandomXmas comes with ABSOLUTELY NO WARRANTY; for details type key `l'.";
const char S_LICENSE_TEXT_4[] = "This is free software, and you are welcome to redistribute it";
const char S_LICENSE_TEXT_5[] = "under certain conditions; type key `l' for details.";

#endif 			//Deutsch

//--- English ----------------------------------------------------------------
#ifdef ENGLISH

const char S_MENU_ENTRY_ID_10[]  = "Play";
const char S_MENU_ENTRY_ID_20[]  = "Rotate";
const char S_MENU_ENTRY_ID_210[] = "Y/X";
const char S_MENU_ENTRY_ID_220[] = "Z/X";
const char S_MENU_ENTRY_ID_230[] = "Z/Y";
const char S_MENU_ENTRY_ID_240[] = "Init";
const char S_MENU_ENTRY_ID_30[]  = "Translate"; 
const char S_MENU_ENTRY_ID_310[] = "X/Y";
const char S_MENU_ENTRY_ID_320[] = "X/Z";
const char S_MENU_ENTRY_ID_330[] = "Z/Y";
const char S_MENU_ENTRY_ID_340[] = "Init";
const char S_MENU_ENTRY_ID_40[]  = "Points Display";
const char S_MENU_ENTRY_ID_50[]  = "Person";
const char S_MENU_ENTRY_ID_510[] = "View";
const char S_MENU_ENTRY_ID_520[] = "New";
const char S_MENU_ENTRY_ID_530[] = "Next";
const char S_MENU_ENTRY_ID_60[]  = "Program";
const char S_MENU_ENTRY_ID_610[] = "Help (Readme)"; 
				// look also S_NAME_HELPFILE
const char S_MENU_ENTRY_ID_620[] = "License (GPL)";
const char S_MENU_ENTRY_ID_70[]  = "Finish";
const char S_MENU_ENTRY_ID_80[]  = "Scroll";

const char S_NAME_HELPFILE[] = "readme_EN.txt";

const char S_SHOWFILE_HEAD[] = "File Display:  Line ";
const char S_SHOWFILE_FOOT[] = "Filename:";

const char S_HIGHSCORE_HEAD[] = "Highscore: Place ";
const char S_HIGHSCORE_FOOT[] = "Your Points";

const char S_WINDOW_NAME[] = "game";

const char S_EBENE_LABEL[] = "Level";

const char S_FILEVIEWER_ERROR_1[] = "Error while opening for read: ";
const char S_FILEVIEWER_ERROR_2[] = "Error while closing: ";

const char S_HIGHSBOARD_ERROR[] = "Error while closing highscore file.";

const char S_TEXTURE_ERROR_1[] = "File too small for BMP format!\n";
const char S_TEXTURE_ERROR_2[] = "Wrong start characters for BMP format!\n";
const char S_TEXTURE_ERROR_3[] = "Wrong X size value!\n";
const char S_TEXTURE_ERROR_4[] = "Wrong Y size value!\n";
const char S_TEXTURE_ERROR_5[] = "Read Error! Wrong color table size!\n";
const char S_TEXTURE_ERROR_6[] = "Error while reading: ";

const char S_LICENSE_TEXT_1[] = "RandomXmas version 1.14, Copyright (C) 2002  Stefan Ziegler";
const char S_LICENSE_TEXT_2[] = "RandomXmas version 1.14 is distributed under the terms of the GNU GPL.";
const char S_LICENSE_TEXT_3[] = "RandomXmas comes with ABSOLUTELY NO WARRANTY; for details type key `l'.";
const char S_LICENSE_TEXT_4[] = "This is free software, and you are welcome to redistribute it";
const char S_LICENSE_TEXT_5[] = "under certain conditions; type key `l' for details.";

#endif 			//English
