/*  This program is a game with a partly randomized scenery
    Copyright (C) 2002   Stefan Ziegler
    This file is part of RandomXmas v1.14.

    RandomXmas v1.14 is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    RandomXmas v1.14 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy (gpl.txt) of the GNU General Public
    License along with RandomXmas v1.14; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

While executing the program, you get the license text by pressing the key 'l'.
E-mail address: stefan.ziegler@s1998.tu-chemnitz.de
For additional and/or more actual information see file COPYING in the root
directory of this package.
*/

#include <GL/glut.h>

#include "geschenke.h"
#include "texturen.h"
#include "spielraum.h"

#ifndef MANN_H 
#define MANN_H 1

class Mann
  {
	private:
		float 		groesse, breite;
		int   		posx, posy, jump, richtung, level_num;
		GLUquadricObj 	*qmann;
		Geschenke 	*schenken;
		GLuint 		manndlist;
		const Texture* 	*texarray;

		void DrawParts(GLuint listdisplay);
		void SetPosView();
	public:
		Mann(float neugroesse, float neubreite, int new_level_num,
			const Texture* *neutexarray);
		~Mann();
		void Fahrstuhl(Spielraum *spraum, int neuebene);
		void AddPos(Spielraum *spraum, int x, int y, int j);
		void NeuRichtung(int winkel);
		int  GetRichtung();
		int  GetLevelNum() { return level_num; };
		void TriggerPunktAnz() {schenken->TriggerPunktAnz(); };
		void DrawMann();
		void DrawPunkte();
  };

#endif

