/*  This program is a game with a partly randomized scenery
    Copyright (C) 2002   Stefan Ziegler
    This file is part of RandomXmas v1.14.

    RandomXmas v1.14 is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    RandomXmas v1.14 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy (gpl.txt) of the GNU General Public
    License along with RandomXmas v1.14; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

While executing the program, you get the license text by pressing the key 'l'.
E-mail address: stefan.ziegler@s1998.tu-chemnitz.de
For additional and/or more actual information see file COPYING in the root
directory of this package.
*/

#ifndef SPIELRAUM_H
#define SPIELRAUM_H 1

#include "konstanten.h"
#include "ebenefeld.h"
#include "texturen.h"

class Spielraum
   {
	private:
		Ebene 	 *levels[MAXEBENEN-2];
		short 	 usedlevels[MAXEBENEN-2];
		Texture* texarray[NUMOFTEX];
		int   	 currentlevel, points, end, viewmann;

		void     InitTextur(const char* texfile, Texture* &thistex);
	public:
		Spielraum();
		~Spielraum();
		int 	  	SwitchLevel(int nextlevel);
		int	  	GetContent(int neuposx, int neuposy, 
				  	   Feldpunkte* &content);
		int	  	GetAbove(int neuposx, int neuposy,
					   Feldpunkte* &content);
		int  	  	GetEnd();
		int	  	SwitchEnd(int newpoints);
		int  	  	GetPoints();
		int	  	GetViewMann();
		int	 	TriggerViewMann();
	 	const Texture** GetTexarray();
		int		GetLevelNum();
		void 	  	DrawSpielraum();
		void	  	DrawLevelNum();
   };
// texarray: 	0=texebene, 1=texhuegel, 2=texbaum, 3=texcap,
// 		4=texhead,  5=texbody,   6=texshoes

#endif

