/*  This program is a game with a partly randomized scenery
    Copyright (C) 2002   Stefan Ziegler
    This file is part of RandomXmas v1.14.

    RandomXmas v1.14 is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    RandomXmas v1.14 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy (gpl.txt) of the GNU General Public
    License along with RandomXmas v1.14; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

While executing the program, you get the license text by pressing the key 'l'.
E-mail address: stefan.ziegler@s1998.tu-chemnitz.de
For additional and/or more actual information see file COPYING in the root
directory of this package.
*/

#ifndef _TEXTUREN_H
#define _TEXTUREN_H 1

#include <GL/gl.h>

typedef	  GLubyte  pixeltype[4];

class Texture
  {
	private:
		int		xsize, ysize, numofcolors;
		float 		xpos, ypos, zpos;
		pixeltype 	colortable[256];
		GLuint		texnumber;
		pixeltype* 	imagergba;

		void		LoadTexture();
		void		Test_print_error(int boolvar, 
				   unsigned char &error, const char* errortext);
	public:
		Texture(float newxpos, float newypos, float newzpos);
		~Texture();
		void 	Readbmp(const char* filename);
		void 	DrawTexture() const;
		GLuint 	GetTexNumber() const;
  };

#endif

